## hidapi 0.8.0~rc1%2Bgit20140818.d17db57%2Bdfsg

=== debian/changelog ===
hidapi (0.8.0~rc1+git20140818.d17db57+dfsg-2) unstable; urgency=medium

  * d/control: Indicate that we're now using a VCS on salsa
  * d/control: Change priority from extra to optional per 4.0.1
  * d/control: Indicate conformance with standards version 4.1.3
  * d/copyright: Change urls to use https
  * d/copyright: Fix spelling error
  * control/rules: Migrate from -dbg to -dbgsym autogenerated packages
  * d/rules: Remove parsing of changelog and use existing variables
  * d/rules: Enable hardening
  * d/rules: Enable dh_strip of libhidapi-dev package
  * d/copyright: Replace license overview with comment to avoid lintian error
  * d/gbp.conf: New file with pristine tar configuration

 -- Scott Talbert <swt@techie.net>  Thu, 22 Feb 2018 00:57:08 -0500

hidapi (0.8.0~rc1+git20140818.d17db57+dfsg-1) unstable; urgency=low

  * Update to latest upstream git commit
  * Removed patches as they have been incorporated upstream
  * Fix watch file
  * Update to latest standards version
  * Update copyright file to eliminate lintian warnings

 -- Scott Talbert <swt@techie.net>  Tue, 03 Nov 2015 20:31:09 -0500

hidapi (0.8.0~rc1+git20140201.3a66d4e+dfsg-3) unstable; urgency=low

  * Add --disable-silent-rules to configuration to make the compile flags
    visible.
  * Reintroduce support for kFreeBSD.

 -- Scott Talbert <swt@techie.net>  Thu, 03 Apr 2014 18:42:07 -0400

hidapi (0.8.0~rc1+git20140201.3a66d4e+dfsg-2) unstable; urgency=low

  * Update copyright date on debian/* files.
  * Include link to bug report for patch.
  * Include HIDAPI license text as a comment in copyright file.

 -- Scott Talbert <swt@techie.net>  Tue, 04 Feb 2014 23:09:37 -0500

hidapi (0.8.0~rc1+git20140201.3a66d4e+dfsg-1) unstable; urgency=low

  * Incorporate patch from Klee Dienes (bump version number to match latest
    GitHub tag, include dfsg in version due to removing non-free files, bump
    standards version, add Files-Excluded listing to copyright file, add
    --parallel to dh command in rules, add watch file).
  * Update license for debian/* to HIDAPI.
  * Add patch to link libhidapi-libusb with pthreads.
  * Added symbols files.
  * Cleanup copyright file to clear lintian warnings.
  * Remove kFreeBSD support for now.

 -- Scott Talbert <swt@techie.net>  Sun, 02 Feb 2014 23:22:26 -0500

hidapi (0.7.0+git20140201.3a66d4e-1) unstable; urgency=low

  * Upgrade to latest upstream version (3a66d4e).
  * Removed special FreeBSD package; FreeBSD now uses libusb package.
  * Clarify/update copyright information (thanks Klee Dienes for patch).
  * Add a get-orig-source to rules which downloads from GitHub, removes
    non-free files, and repacks.

 -- Scott Talbert <swt@techie.net>  Sat, 01 Feb 2014 20:55:58 -0500

hidapi (0.7.0+git20130909.a88c724-1) unstable; urgency=low

  * Initial release (Closes: #724568)

 -- Scott Talbert <swt@techie.net>  Tue, 1 Oct 2013 22:46:00 -0400
