## hidapi 0.8.0~rc1+git20140201.3a66d4e+dfsg

=== debian/control ===
Source: hidapi
Priority: extra
Maintainer: Scott Talbert <swt@techie.net>
Build-Depends: debhelper (>= 9), dh-autoreconf, libudev-dev [linux-any], libusb-1.0-0-dev [linux-any], libusb2-dev (>= 10.0-4) [kfreebsd-any], pkg-config
Standards-Version: 3.9.5
Section: libs
Homepage: http://www.signal11.us/oss/hidapi/

Package: libhidapi-dev
Section: libdevel
Architecture: kfreebsd-any linux-any
Multi-Arch: same
Depends: ${misc:Depends}, libhidapi0 (= ${binary:Version}) [kfreebsd-any], libhidapi-libusb0 (= ${binary:Version}) [linux-any], libhidapi-hidraw0 (= ${binary:Version}) [linux-any]
Description: Multi-Platform library for communication with HID devices (development files)
 HIDAPI is a multi-platform library enabling applications to easily
 interface with Bluetooth and USB HID-class devices.
 .
 This package contains the files needed to compile and link programs which
 use HIDAPI.

Package: libhidapi0
Architecture: kfreebsd-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Multi-Platform library for communication with HID devices
 HIDAPI is a multi-platform library enabling applications to easily
 interface with Bluetooth and USB HID-class devices.
 .
 This package contains the files needed to run programs which use HIDAPI.

Package: libhidapi-libusb0
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Multi-Platform library for communication with HID devices (libusb backend)
 HIDAPI is a multi-platform library enabling applications to easily
 interface with Bluetooth and USB HID-class devices.
 .
 This package contains the libusb-based implementation of HIDAPI.

Package: libhidapi-hidraw0
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Multi-Platform library for communication with HID devices (hidraw backend)
 HIDAPI is a multi-platform library enabling applications to easily
 interface with Bluetooth and USB HID-class devices.
 .
 This package contains the hidraw-based implementation of HIDAPI.

Package: libhidapi0-dbg
Architecture: kfreebsd-any
Multi-Arch: same
Section: debug
Depends: libhidapi0 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for libhidapi0
 HIDAPI is a multi-platform library enabling applications to easily
 interface with Bluetooth and USB HID-class devices.
 .
 This package contains the debugging symbols for libhidapi0.

Package: libhidapi-libusb0-dbg
Architecture: linux-any
Multi-Arch: same
Section: debug
Depends: libhidapi-libusb0 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for libhidapi-libusb0
 HIDAPI is a multi-platform library enabling applications to easily
 interface with Bluetooth and USB HID-class devices.
 .
 This package contains the debugging symbols for libhidapi-libusb0.

Package: libhidapi-hidraw0-dbg
Architecture: linux-any
Multi-Arch: same
Section: debug
Depends: libhidapi-hidraw0 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for libhidapi-hidraw0
 HIDAPI is a multi-platform library enabling applications to easily
 interface with Bluetooth and USB HID-class devices.
 .
 This package contains the debugging symbols for libhidapi-hidraw0.
