=== debian/watch ===
version=3
opts="uversionmangle=s/\.?-rc/~rc/,dversionmangle=s/\.dfsg//" \
http://githubredir.debian.net/githubredir.cgi?author=signal11&project=hidapi .*hidapi-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
