## hidapi 0.8.0~rc1+git20140818.d17db57+dfsg

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: Scott Talbert <swt@techie.net>
 Build-Depends: debhelper (>= 9), dh-autoreconf, libudev-dev [linux-any], libusb-1.0-0-dev [linux-any], libusb2-dev (>= 10.0-4) [kfreebsd-any], pkg-config
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://www.signal11.us/oss/hidapi/
