=== debian/watch ===
version=3
opts="uversionmangle=s/\.?-rc/~rc/,dversionmangle=s/\+.*dfsg$//,filenamemangle=s/.+\/?(\d\S*)\.tar\.gz/hidapi-$1\.tar\.gz/" \
https://github.com/signal11/hidapi/tags .*/hidapi-?(\d\S*)\.tar\.gz
