## hidapi 0.9.0+dfsg

=== debian/changelog ===
hidapi (0.9.0+dfsg-1) unstable; urgency=medium

  * Switch to new upstream at libusb organization (Closes: #931035)
  * Update to new upstream release 0.9.0
  * d/control: Update debhelper compat version to 12
  * d/control: Update Standards Version to 4.4.0 (no changes needed)
  * d/rules: Remove get-orig-source (repacking performed by uscan now)
  * d/rules: Remove dbgsym-migration since it was part of buster release
  * d/*.symbols: Add Build-Depends-Package fields
  * d/rules: Remove --parallel from dh invocation (default in dh 12)
  * d/control: Remove autoreconf from deps (not needed in dh 12)

 -- Scott Talbert <swt@techie.net>  Thu, 11 Jul 2019 19:26:46 -0400
