=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: hidapi
-Priority: extra
+Priority: optional
 Maintainer: Scott Talbert <swt@techie.net>
-Build-Depends: debhelper (>= 9), dh-autoreconf, libudev-dev [linux-any], libusb-1.0-0-dev [linux-any], libusb2-dev (>= 10.0-4) [kfreebsd-any], pkg-config
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 12), libudev-dev [linux-any], libusb-1.0-0-dev [linux-any], libusb2-dev (>= 10.0-4) [kfreebsd-any], pkg-config
+Standards-Version: 4.4.0
 Section: libs
-Homepage: http://www.signal11.us/oss/hidapi/
+Homepage: https://github.com/libusb/hidapi
+Vcs-Git: https://salsa.debian.org/debian/hidapi.git
+Vcs-Browser: https://salsa.debian.org/debian/hidapi
 
 Package: libhidapi-dev
 Section: libdevel
@@ -50,37 +52,3 @@
  interface with Bluetooth and USB HID-class devices.
  .
  This package contains the hidraw-based implementation of HIDAPI.
-
-Package: libhidapi0-dbg
-Architecture: kfreebsd-any
-Multi-Arch: same
-Section: debug
-Depends: libhidapi0 (= ${binary:Version}), ${misc:Depends}
-Description: Debugging symbols for libhidapi0
- HIDAPI is a multi-platform library enabling applications to easily
- interface with Bluetooth and USB HID-class devices.
- .
- This package contains the debugging symbols for libhidapi0.
-
-Package: libhidapi-libusb0-dbg
-Architecture: linux-any
-Multi-Arch: same
-Section: debug
-Depends: libhidapi-libusb0 (= ${binary:Version}), ${misc:Depends}
-Description: Debugging symbols for libhidapi-libusb0
- HIDAPI is a multi-platform library enabling applications to easily
- interface with Bluetooth and USB HID-class devices.
- .
- This package contains the debugging symbols for libhidapi-libusb0.
-
-Package: libhidapi-hidraw0-dbg
-Architecture: linux-any
-Multi-Arch: same
-Section: debug
-Depends: libhidapi-hidraw0 (= ${binary:Version}), ${misc:Depends}
-Description: Debugging symbols for libhidapi-hidraw0
- HIDAPI is a multi-platform library enabling applications to easily
- interface with Bluetooth and USB HID-class devices.
- .
- This package contains the debugging symbols for libhidapi-hidraw0.
-
