=== debian/watch ===
version=4
opts="uversionmangle=s/\.?-rc/~rc/,dversionmangle=s/\+.*dfsg$//,filenamemangle=s/.+\/?(\d\S*)\.tar\.gz/hidapi-$1\.tar\.gz/,repacksuffix=+dfsg,compression=xz" \
https://github.com/libusb/hidapi/tags .*/hidapi-?(\d\S*)\.tar\.gz
