## hidapi 0.10.0+dfsg

=== debian/changelog ===
hidapi (0.10.0+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Drop unnecessary dependency on dh-autoreconf.

  [ Scott Talbert ]
  * Remove unnecessary filename mangling in d/watch
  * Remove no longer existing file from d/copyright Files-Excluded
  * Update to new upstream release 0.10.0
  * Update standards version to 4.5.0, no changes needed
  * Update d/copyright to reflect file renaming
  * Rules-Requires-Root: no
  * Update symbols files for 0.10.0 release
  * Add a debian/not-installed file to specify non-installed files
  * Update to debhelper compat level 13

 -- Scott Talbert <swt@techie.net>  Sun, 01 Nov 2020 23:06:57 -0500
