=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: hidapi
 Priority: optional
 Maintainer: Scott Talbert <swt@techie.net>
-Build-Depends: debhelper (>= 12), libudev-dev [linux-any], libusb-1.0-0-dev [linux-any], libusb2-dev (>= 10.0-4) [kfreebsd-any], pkg-config
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13), libudev-dev [linux-any], libusb-1.0-0-dev [linux-any], libusb2-dev (>= 10.0-4) [kfreebsd-any], pkg-config
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://github.com/libusb/hidapi
 Vcs-Git: https://salsa.debian.org/debian/hidapi.git
 Vcs-Browser: https://salsa.debian.org/debian/hidapi
+Rules-Requires-Root: no
 
 Package: libhidapi-dev
 Section: libdevel
