## hidapi 0.10.1%2Bdfsg

=== debian/watch ===
version=4
opts="uversionmangle=s/\.?-rc/~rc/,dversionmangle=s/\+.*dfsg$//,repacksuffix=+dfsg,compression=xz" \
https://github.com/libusb/hidapi/tags .*/hidapi-?(\d\S*)\.tar\.gz
