## hidapi 0.10.1+dfsg

=== debian/changelog ===
hidapi (0.10.1+dfsg-1) unstable; urgency=medium

  * Update to new upstream release 0.10.1
  * Update standards version to 4.5.1, no changes needed
  * Fix FTBFS with autoconf 2.70 (Closes: #978834)

 -- Scott Talbert <swt@techie.net>  Thu, 31 Dec 2020 15:08:13 -0500
