## hidapi 0.11.0

=== debian/changelog ===
hidapi (0.11.0-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 01 Dec 2021 09:04:32 -0500

hidapi (0.11.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Scott Talbert ]
  * Remove repacking as non-DFSG files removed upstream
  * Update to new upstream release 0.11.0
  * Update Standards-Version to 4.6.0 (no changes needed)

 -- Scott Talbert <swt@techie.net>  Thu, 07 Oct 2021 15:17:10 -0400
