=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,13 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-silent-rules
 
 override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 	dh_strip -plibhidapi-dev
 ifeq ($(DEB_HOST_ARCH_OS), linux)
 	dh_strip -plibhidapi-libusb0
