=== debian/changelog ===
hidapi (0.11.2-1) unstable; urgency=medium

  * Update to new upstream release 0.11.2

 -- Scott Talbert <swt@techie.net>  Mon, 14 Feb 2022 19:17:50 -0500
