=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Scott Talbert <swt@techie.net>
 Build-Depends: debhelper-compat (= 13), libudev-dev [linux-any], libusb-1.0-0-dev [linux-any], libusb2-dev (>= 10.0-4) [kfreebsd-any], pkg-config
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Section: libs
 Homepage: https://github.com/libusb/hidapi
 Vcs-Git: https://salsa.debian.org/debian/hidapi.git
