=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 	dh_auto_configure -- --disable-silent-rules
 
 override_dh_strip:
-	dh_strip --no-automatic-dbgsym
 	dh_strip -plibhidapi-dev
 ifeq ($(DEB_HOST_ARCH_OS), linux)
 	dh_strip -plibhidapi-libusb0
