=== windows/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,23 @@
+list(APPEND HIDAPI_PUBLIC_HEADERS "hidapi_winapi.h")
+
+set(SOURCES
+    hid.c
+    hidapi_cfgmgr32.h
+    hidapi_hidclass.h
+    hidapi_hidpi.h
+    hidapi_hidsdi.h
+)
+
+if(BUILD_SHARED_LIBS)
+    list(APPEND SOURCES hidapi.rc)
+endif()
+
 add_library(hidapi_winapi
     ${HIDAPI_PUBLIC_HEADERS}
-    hid.c
+    ${SOURCES}
 )
 target_link_libraries(hidapi_winapi
     PUBLIC hidapi_include
-    PRIVATE setupapi
 )
 
 set_target_properties(hidapi_winapi
