=== debian/changelog ===
hidapi (0.12.0-1) unstable; urgency=medium

  * Update to new upstream release 0.12.0
  * Update Standards-Version to 4.6.1

 -- Scott Talbert <swt@techie.net>  Tue, 02 Aug 2022 23:21:16 -0400
