=== debian/changelog ===
hidapi (0.13.1-1) unstable; urgency=medium

  * Update to new upstream release 0.13.1
  * Update Standards-Version to 4.6.2

 -- Scott Talbert <swt@techie.net>  Wed, 18 Jan 2023 21:10:23 -0500
