=== debian/changelog ===
hidapi (0.14.0-1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:56:59 +0200

hidapi (0.14.0-1) unstable; urgency=medium

  * Update to new upstream release 0.14.0

 -- Scott Talbert <swt@techie.net>  Thu, 15 Jun 2023 16:41:49 -0400
