=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: hidapi
 Priority: optional
-Maintainer: Scott Talbert <swt@techie.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Scott Talbert <swt@techie.net>
 Build-Depends: debhelper-compat (= 13), libudev-dev [linux-any], libusb-1.0-0-dev [linux-any], libusb2-dev (>= 10.0-4) [kfreebsd-any], pkg-config
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://github.com/libusb/hidapi
 Vcs-Git: https://salsa.debian.org/debian/hidapi.git
